# Online Shipping

## Get the list of Shippo shipping rates available

 - [POST /api/v1/shippo_shipping_rates](https://docs.trustap.com/apis/openapi/online-shipping/basic.getshipposhippingrates.md): This returns the list of Shippo shipping rates available
for the addreses provided i.e sender's address and recipient's
address.

## Get the supported carriers

 - [GET /api/v1/supported_carriers](https://docs.trustap.com/apis/openapi/online-shipping/getsupportedcarriers.md): This returns the carriers that are currently supported for
automated tracking in the online model. The carrier name
should be shown to users but the code should be submitted to
the /track endpoint when submitting tracking details.
Likewise, when showing a transaction to the user, the carrier
field stored with the transaction should be used to index these
carriers and show the human-readable name of the carrier to the
user, if this index is found.

## Confirm delivery for this online transaction

 - [POST /api/v1/transactions/{transaction_id}/confirm_delivery](https://docs.trustap.com/apis/openapi/online-shipping/basic.confirmdelivery.md): This endpoint allows the buyer to manually confirm the delivery of the
item in the case that the state of the transaction was not updated
asynchronously by Trustap.

## Confirm delivery for this online transaction

 - [POST /api/v1/transactions/{transaction_id}/confirm_delivery_with_guest_buyer](https://docs.trustap.com/apis/openapi/online-shipping/basic.confirmdeliverywithguestbuyer.md): This endpoint allows the client to manually confirm the delivery
on behalf of the guest buyer specified in the header as Trustap-User.

## Extend tracking details submission deadline for this online transaction

 - [POST /api/v1/transactions/{transaction_id}/extend_tracking_deadline](https://docs.trustap.com/apis/openapi/online-shipping/basic.extendtrackingdeadlinefortransaction.md): This endpoint allows the buyer to extend the tracking details
submission deadline for the seller.

## Generate a shipment label for this online transaction's parcel

 - [POST /api/v1/transactions/{transaction_id}/generate_shipment_label](https://docs.trustap.com/apis/openapi/online-shipping/basic.generateshipmentlabel.md): This endpoint returns a PDF containing the label for the
transaction's parcel. Both sender and recipient details
have to be submitted before making a call to this endpoint.

## Get the shipping details of the buyer from this online transaction

 - [GET /api/v1/transactions/{transaction_id}/shipping_details](https://docs.trustap.com/apis/openapi/online-shipping/basic.getshippingdetailsfromtransaction.md)

## Post the shipping details of the buyer from this online transaction

 - [POST /api/v1/transactions/{transaction_id}/shipping_details](https://docs.trustap.com/apis/openapi/online-shipping/basic.setshippingdetails.md)

## Set the sender's or recipient's address for Shippo shipment

 - [POST /api/v1/transactions/{transaction_id}/shippo_address](https://docs.trustap.com/apis/openapi/online-shipping/basic.setshippoaddress.md)

## Send a customs declaration for this online transaction's shipment

 - [POST /api/v1/transactions/{transaction_id}/shippo_customs_declaration](https://docs.trustap.com/apis/openapi/online-shipping/basic.setshippocustomsdeclaration.md)

## Set Shippo parcel details for this online transaction

 - [POST /api/v1/transactions/{transaction_id}/shippo_parcel_details](https://docs.trustap.com/apis/openapi/online-shipping/basic.setshippoparceldetails.md)

## Get Shippo generated label details for this online transaction

 - [GET /api/v1/transactions/{transaction_id}/shippo_shipping_label](https://docs.trustap.com/apis/openapi/online-shipping/basic.getshipposhippinglabel.md)

## Set Shippo shipping rate for this online transaction

 - [POST /api/v1/transactions/{transaction_id}/shippo_shipping_rate](https://docs.trustap.com/apis/openapi/online-shipping/basic.setshipposhippingrate.md): Set Shippo shipping rate for the transaction.
This rate will be used to purchase the Shippo label once the
transaction is paid. Shipment ID can be provided as an optional parameter,
depending on the flow which is used to obtain it.

## Get Shippo shipping rates based on the sender's and recipient's address and parcel details

 - [GET /api/v1/transactions/{transaction_id}/shippo_shipping_rates](https://docs.trustap.com/apis/openapi/online-shipping/basic.getshipposhippingratesfortransaction.md)

## Set postal tracking details for this online transaction

 - [POST /api/v1/transactions/{transaction_id}/track](https://docs.trustap.com/apis/openapi/online-shipping/basic.tracktransaction.md): After the tracking information has been submitted then the state
of the transaction will be updated asynchronously by Trustap
once the delivery of the item has been confirmed, at which point
the delivered field of the transaction will be set.
Offline access is allowed for this endpoint when the user has
granted the basic_tx:offline_track scope to the client
that is performing the request.

## Set postal tracking details for this online transaction

 - [POST /api/v1/transactions/{transaction_id}/track_with_guest_seller](https://docs.trustap.com/apis/openapi/online-shipping/basic.tracktransactionwithguestseller.md): Add tracking details for the guest seller specified
in the header as Trustap-User.

